## org.eclipse.amp.amf.abase
Class ABaseStandaloneSetup

    java.lang.Object
      org.eclipse.amp.amf.abase.ABaseStandaloneSetupGenerated
          org.eclipse.amp.amf.abase.ABaseStandaloneSetup

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

    public class ABaseStandaloneSetup

extends ABaseStandaloneSetupGenerated

Initialization support for running Xtext languages without equinox extension registry

Constructor Summary
`ABaseStandaloneSetup()`

Method Summary
`static void` `doSetup()`

Methods inherited from class org.eclipse.amp.amf.abase.ABaseStandaloneSetupGenerated
`createInjector, createInjectorAndDoEMFRegistration, register`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseStandaloneSetup

    public ABaseStandaloneSetup()

Method Detail

### doSetup

    public static void doSetup()